org.apache.activemq.artemis.api.core

## Class JGroupsPropertiesBroadcastEndpointFactory

- java.lang.Object
- - org.apache.activemq.artemis.api.core.JGroupsPropertiesBroadcastEndpointFactory

- All Implemented Interfaces:
    Serializable, BroadcastEndpointFactory

      public class JGroupsPropertiesBroadcastEndpointFactory
      extends Object
      implements BroadcastEndpointFactory

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JGroupsPropertiesBroadcastEndpointFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `BroadcastEndpoint` | `createBroadcastEndpoint()`
    `String` | `getChannelName()`
    `String` | `getProperties()`
    `JGroupsPropertiesBroadcastEndpointFactory` | `setChannelName(String channelName)`
    `JGroupsPropertiesBroadcastEndpointFactory` | `setProperties(String properties)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JGroupsPropertiesBroadcastEndpointFactory

          public JGroupsPropertiesBroadcastEndpointFactory()

  - ### Method Detail

    - #### createBroadcastEndpoint

          public BroadcastEndpoint createBroadcastEndpoint()
                                                    throws Exception

      Specified by:
        `createBroadcastEndpoint` in interface `BroadcastEndpointFactory`
      Throws:
        `Exception`

    - #### getProperties

          public String getProperties()

    - #### setProperties

          public JGroupsPropertiesBroadcastEndpointFactory setProperties(String properties)

    - #### getChannelName

          public String getChannelName()

    - #### setChannelName

          public JGroupsPropertiesBroadcastEndpointFactory setChannelName(String channelName)

Copyright © 2017 The Apache Software Foundation. All rights reserved.